GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

Get fan-out themes GETList fan-out queries GETList fan-out prompts GET
Fan outs

List fan-out queries GET

Fanout queries grouped by text, with the responses that ran them.

Get content gap overview GET

Average coverage, level and type breakdown, crawl state and history.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Fan outs

List fan-out prompts

GET
/brands/{brandId}/fanouts/prompts

Prompts with the fanout queries their answers ran.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date; omit for today

Match^\d{4}-\d{2}-\d{2}$
q?string

Matches the query or prompt text

Lengthlength <= 200
sort?string
Default"occurrences"
Value in"occurrences""found"
order?string
Default"desc"
Value in"asc""desc"
page?integer
Range1 <= value
Default1
pageSize?integer
Range1 <= value <= 500
Default25

Response Body

One page of prompts with fanouts

application/json
  1. response
  1. response
  2. …
items*array<>
total*integer
page*integer
pageSize*integer
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/fanouts/prompts'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "text": "string",      "type": "string",      "intent": "string",      "visibility": 0,      "fanouts": 0,      "found": "2019-08-24T14:15:22Z",      "queries": [        {          "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",          "query": "string",          "engine": "string",          "answeredAt": "2019-08-24T14:15:22Z"        }      ]    }  ],  "total": 0,  "page": 0,  "pageSize": 0}

List fan-out queries GET

Fanout queries grouped by text, with the responses that ran them.

Get content gap overview GET

Average coverage, level and type breakdown, crawl state and history.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/fanouts/prompts'
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "text": "string",
      "type": "string",
      "intent": "string",
      "visibility": 0,
      "fanouts": 0,
      "found": "2019-08-24T14:15:22Z",
      "queries": [
        {
          "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf",
          "query": "string",
          "engine": "string",
          "answeredAt": "2019-08-24T14:15:22Z"
        }
      ]
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0
}